-->

Attempting to parse the version 1.3.0 renewal configuration file found at /etc/letsencrypt/renewal/www.domain.com.conf with version 0.31.0 of Certbot. This might not work. Cert not yet due for renewal

I have been using let's encrypt for about 2 years now and I love it!

I just experience one strange issue in one of my server which threw out this error message:

Attempting to parse the version 1.3.0 renewal configuration file found at /etc/letsencrypt/renewal/www.domain.com.conf with version 0.31.0 of Certbot. This might not work. Cert not yet due for renewal

I researched it and the problem was actually caused by having 2 installation of certbot and certbot-auto.


For some reason I was using certbot instead of certbot-auto.

certbot has been deprecated and no longer support April 2019.

I changed my crontab to the following for SOLVE this issue:


8 8 * * * certbot-auto renew --post-hook "systemctl reload nginx"


I hope this solution helped you.

Thanks for reading!